Bug 196868 - NetBeans does not honor Thread.getDefaultUncaughtExceptionHandler
NetBeans does not honor Thread.getDefaultUncaughtExceptionHandler
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Module System
6.x
Other Linux
: P1 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-18 18:57 UTC by Jaroslav Tulach
Modified: 2011-03-20 18:55 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2011-03-18 18:57:33 UTC
JDK5 provides new API for handling uncaught exceptions. The Thread.getDefaultUncaughtExceptionHandler. However the TopThreadGroup ignores it, as it was written long time ago, before this API was introduced.

However for certain applications built on top of NetBeans Platform it may be useful to handle the exceptions by themselves. Thus it is desirable to honor Thread.getDefaultUncaughtExceptionHandler if provided.

The fix should be backported to release692 branch.
Comment 1 Jaroslav Tulach 2011-03-19 16:48:36 UTC
ergonomics#dd8fc4dc7886
Comment 2 Quality Engineering 2011-03-20 09:41:48 UTC
Integrated into 'main-golden', will be available in build *201103200400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dd8fc4dc7886
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #196868: Honor Thread.UncaughtExceptionHandler
Comment 3 Jaroslav Tulach 2011-03-20 18:55:44 UTC
Merged to 6.9.2 as 1b937733f9f6
Merged to 7.0 as adbfba3c1b7d


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo